Scilab Function
Last update : 16/06/2004

horner - évaluation d'un polynôme ou d'une fraction rationnelle

### Calling Sequence

  `horner(P,x)`

### Parameters

- `P` : polynôme ou matrice de polynômes
- `x` : nombre réel, polynôme ou fraction rationnelle

### Description

évalue le polynôme ou la fraction rationnelle (ou matrice de fractions rationnelles) `P = P(s)` quand la variable `s` du polynôme est remplacée par `x` :

`horner(P,x)`=`P(x)`

Exemple (transformation bilinéaire) : supposons que `P = P(s)` est une matrice de polynômes, alors la matrice de polynômes `P((1+s)/(1-s))` est obtenue par `horner(P,(1+s)/(1-s))`.

Pour évaluer une matrice de polynômes à des fréquences données utiliser plutôt la primitive `freq`.

### Examples

    s=poly(0,'s');M=[s,1/s];
    horner(M,1)
    horner(M,%i)
    horner(M,1/s)

### See Also

`freq`, `repfreq`, `evstr`,